Subject: Re: [PATCH v2] Staging: octeon: ethernet-tx: fixed coding style warnings, missing blank lines

From: Roberto Medina <[email-masked]>
Date: Wed, 08 Oct 2014 21:46:55 +0200

On 10/08/2014 09:39 PM, Paul Gortmaker wrote:
> On 14-10-08 03:18 PM, Roberto Medina wrote:
>> From: Roberto Medina <[email-masked]>
>>
>> Fixed coding style warnings due to missing blank lines.
>> Dubious additions removed.
>>
>> Signed-off-by: Roberto Medina <[email-masked]>
>>
>> ---
>> @@ -550,6 +559,7 @@ int cvm_oct_xmit_pow(struct sk_buff *skb, struct net_device *dev)
>>
>>   	/* Get a work queue entry */
>>   	cvmx_wqe_t *work = cvmx_fpa_alloc(CVMX_FPA_WQE_POOL);
>> +
>>   	if (unlikely(work == NULL)) {
>
> This one is still bogus.
>
> P.
> --
>

Thank you very much for your feedback. I just want to let you know that 
I didn't ignore that annotation from the last patch. I actually added 
the white line because checkpatch shows a warning there.

WARNING: Missing a blank line after declarations
#553: FILE: drivers/staging/octeon/ethernet-tx.c:553:
+	cvmx_wqe_t *work = cvmx_fpa_alloc(CVMX_FPA_WQE_POOL);
+	if (unlikely(work == NULL)) {

I don't see why I shouldn't insert a line there.

Cheers,

Roberto Medina